---
# copy_mariadb_host_src_host: db1134.eqiad.wmnet
# copy_mariadb_host_dst_host: db1234.eqiad.wmnet
# copy_mariadb_host_task_id: T344036
copy_mariadb_host_src_host: db2136.codfw.wmnet
copy_mariadb_host_dst_host: db2236.codfw.wmnet
copy_mariadb_host_task_id: T373579
copy_mariadb_host_dst_host_short: "{{ copy_mariadb_host_dst_host.split('.')[0] }}"
copy_mariadb_host_src_host_short: "{{ copy_mariadb_host_src_host.split('.')[0] }}"
copy_mariadb_host_tmux_clone: "tmux new -d -s {{ copy_mariadb_host_src_host_short }}@{{ copy_mariadb_host_dst_host_short }}@{{ copy_mariadb_host_task_id }} 'sudo cookbook sre.mysql.clone --source {{ copy_mariadb_host_src_host }} --target {{ copy_mariadb_host_dst_host }} --primary {{ primary_host }}'"
# copy_mariadb_host_tmux_clone: "tmux new -d -s {{ copy_mariadb_host_src_host_short }}@{{ copy_mariadb_host_dst_host_short }}@{{ copy_mariadb_host_task_id }} 'test-cookbook -c 1071155 sre.mysql.clone --disable-auto-pool-management' --source {{ copy_mariadb_host_src_host }} --target {{ copy_mariadb_host_dst_host }}"
# https://gerrit.wikimedia.org/r/c/operations/cookbooks/+/1071155 ↑
copy_mariadb_host_downtime_command: "sudo cookbook sre.hosts.downtime {{ item }} --days {{ downtime_duration_for_clone | default('1') }} --task-id {{ copy_mariadb_host_task_id }} --reason 'provisionning {{ copy_mariadb_host_dst_host }} - {{ copy_mariadb_host_task_id }}'"
copy_mariadb_host_commit_message: "Please run: sudo dbctl config commit -m 'Cloning {{ copy_mariadb_host_src_host_short }} in {{ copy_mariadb_host_dst_host_short }} for {{ copy_mariadb_host_task_id }}'"
